---
title: Cancel a crawl job.
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Browser Rendering](https://developers.cloudflare.com/api/python/resources/browser_rendering)

[Crawl](https://developers.cloudflare.com/api/python/resources/browser_rendering/subresources/crawl)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Cancel a crawl job.

browser\_rendering.crawl.delete(strjob\_id, CrawlDeleteParams\*\*kwargs) -> [CrawlDeleteResponse](<https://developers.cloudflare.com/api/python/resources/browser_rendering#(resource)%20browser_rendering.crawl%20%3E%20(model)%20crawl_delete_response%20%3E%20(schema)>)

DELETE/accounts/{account\_id}/browser-rendering/crawl/{job\_id}

Cancels an ongoing crawl job by setting its status to cancelled and stopping all queued URLs.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### ParametersExpand Collapse

account\_id: str

Account ID.

[Link to this property](<#(resource)%20browser_rendering.crawl%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

job\_id: str

The ID of the crawl job to cancel.

[Link to this property](<#(resource)%20browser_rendering.crawl%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20job_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class CrawlDeleteResponse: …

</summary>

job\_id: str

The ID of the cancelled job.

<a href="#(resource)%20browser_rendering.crawl%20%3E%20(model)%20crawl_delete_response%20%3E%20(schema)%20%3E%20(property)%20job_id">Link to this property</a>

message: str

Cancellation confirmation message.

<a href="#(resource)%20browser_rendering.crawl%20%3E%20(model)%20crawl_delete_response%20%3E%20(schema)%20%3E%20(property)%20message">Link to this property</a>

</details>

[Link to this property](<#(resource)%20browser_rendering.crawl%20%3E%20(model)%20crawl_delete_response%20%3E%20(schema)>)

### Cancel a crawl job.

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
crawl = client.browser_rendering.crawl.delete(
    job_id="job_id",
    account_id="account_id",
)
print(crawl.job_id)
```

200 example

```
{
  "result": {
    "job_id": "job_id",
    "message": "message"
  },
  "success": true,
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ]
}
```

##### Returns Examples

200 example

```
{
  "result": {
    "job_id": "job_id",
    "message": "message"
  },
  "success": true,
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ]
}
```